POST ImportCompanyClassifications2

Creates classifications using an uploaded Excel file.

Request Information

URI Parameters

None.

Body Parameters

The data of the classifications.

ImportClassificationsDto
NameDescriptionTypeAdditional information
File

Collection of byte

None.

ImportResult

ImportDto

None.

Request Formats

application/json, text/json

Sample:
{
  "File": "QEA=",
  "ImportResult": {
    "listItemError": [
      {
        "row": 1,
        "errorList": [
          "sample string 1",
          "sample string 2"
        ]
      },
      {
        "row": 1,
        "errorList": [
          "sample string 1",
          "sample string 2"
        ]
      }
    ],
    "correctProcessedQuantity": 1,
    "errorProcessedQuantity": 2,
    "totalProcessedQuantity": 3,
    "withErrors": true,
    "successfullyImportedTotal": "Successfully Imported Total 1",
    "failedToBeImportedTotal": "Failed To Be imported Total 2",
    "successfullyUpdatedTotal": "Total Successfully Updated: 1",
    "failedToBeUpdatedTotal": "Total Not Updated: 2",
    "totalProcessed": "Total processed: 3",
    "needIdentification": true,
    "IdentificationResult": true,
    "identificationOrderNumber": "sample string 3",
    "identificationErrorText": "sample string 4",
    "identificationSuccessQuantity": 5,
    "identificationErrorQuantity": 6,
    "identificationMessageResult": "Identifier request created. Order Number: sample string 3"
  }
}

application/xml, text/xml

Sample:
<ImportClassificationsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
  <File>QEA=</File>
  <ImportResult>
    <IdentificationResult>true</IdentificationResult>
    <correctProcessedQuantity>1</correctProcessedQuantity>
    <errorProcessedQuantity>2</errorProcessedQuantity>
    <identificationErrorQuantity>6</identificationErrorQuantity>
    <identificationErrorText>sample string 4</identificationErrorText>
    <identificationOrderNumber>sample string 3</identificationOrderNumber>
    <identificationSuccessQuantity>5</identificationSuccessQuantity>
    <listItemError>
      <ImportItemDto>
        <errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
        </errorList>
        <row>1</row>
      </ImportItemDto>
      <ImportItemDto>
        <errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
        </errorList>
        <row>1</row>
      </ImportItemDto>
    </listItemError>
    <needIdentification>true</needIdentification>
    <totalProcessedQuantity>3</totalProcessedQuantity>
  </ImportResult>
</ImportClassificationsDto>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Object of ImportDto class.

ImportClassificationsDto
NameDescriptionTypeAdditional information
File

Collection of byte

None.

ImportResult

ImportDto

None.

Response Formats

application/json, text/json

Sample:
{
  "File": "QEA=",
  "ImportResult": {
    "listItemError": [
      {
        "row": 1,
        "errorList": [
          "sample string 1",
          "sample string 2"
        ]
      },
      {
        "row": 1,
        "errorList": [
          "sample string 1",
          "sample string 2"
        ]
      }
    ],
    "correctProcessedQuantity": 1,
    "errorProcessedQuantity": 2,
    "totalProcessedQuantity": 3,
    "withErrors": true,
    "successfullyImportedTotal": "Successfully Imported Total 1",
    "failedToBeImportedTotal": "Failed To Be imported Total 2",
    "successfullyUpdatedTotal": "Total Successfully Updated: 1",
    "failedToBeUpdatedTotal": "Total Not Updated: 2",
    "totalProcessed": "Total processed: 3",
    "needIdentification": true,
    "IdentificationResult": true,
    "identificationOrderNumber": "sample string 3",
    "identificationErrorText": "sample string 4",
    "identificationSuccessQuantity": 5,
    "identificationErrorQuantity": 6,
    "identificationMessageResult": "Identifier request created. Order Number: sample string 3"
  }
}

application/xml, text/xml

Sample:
<ImportClassificationsDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
  <File>QEA=</File>
  <ImportResult>
    <IdentificationResult>true</IdentificationResult>
    <correctProcessedQuantity>1</correctProcessedQuantity>
    <errorProcessedQuantity>2</errorProcessedQuantity>
    <identificationErrorQuantity>6</identificationErrorQuantity>
    <identificationErrorText>sample string 4</identificationErrorText>
    <identificationOrderNumber>sample string 3</identificationOrderNumber>
    <identificationSuccessQuantity>5</identificationSuccessQuantity>
    <listItemError>
      <ImportItemDto>
        <errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
        </errorList>
        <row>1</row>
      </ImportItemDto>
      <ImportItemDto>
        <errorList xmlns:d5p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
          <d5p1:string>sample string 1</d5p1:string>
          <d5p1:string>sample string 2</d5p1:string>
        </errorList>
        <row>1</row>
      </ImportItemDto>
    </listItemError>
    <needIdentification>true</needIdentification>
    <totalProcessedQuantity>3</totalProcessedQuantity>
  </ImportResult>
</ImportClassificationsDto>